Loading...
Searching...
No Matches
etl::common_type< etl::chrono::time_point< TClock, TDuration1 >, etl::chrono::time_point< TClock, TDuration2 > > Struct Template Reference

Spaceship operator. More...

`#include <time_point.h>`

## Public Types

using | type = etl::chrono::time_point< TClock, typename etl::common_type<TDuration1, TDuration2>::type>

## Detailed Description

template<typename TClock, typename TDuration1, typename TDuration2>
struct etl::common_type< etl::chrono::time_point< TClock, TDuration1 >, etl::chrono::time_point< TClock, TDuration2 > >

Spaceship operator.

Defines type, which is the common type of two etl::chrono::time_points.

The documentation for this struct was generated from the following file:

- include/etl/private/chrono/time_point.h